package club.clubk.ktag.konfigurator

import java.util.UUID

data class Device(val uuid: UUID = UUID.randomUUID(),
                  var name: String = "Unknown Device",
                  var address: String = "FF:FF:FF:FF:FF:FF",
                  var deviceType : Int? = null,
                  var team : Int? = null,
                  var playerID : Int? = null,
                  var deviceState: DeviceState? = null
    ) {

    fun deviceTypeName(): String {
        return when(deviceType) {
            0 -> "Little Boy BLuE"
            1 -> "2020TPC"
            2 -> "Mobile App"
            3 -> "32ESPecial"
            else -> "Unknown Device Type"
        }
    }
}

